Set Maximum Inactive Interval

post

/maxInactiveInterval

Set the messaging context's Maximum Inactive Interval.

Request

Query Parameters
  • The new value of the MII. The value must be a non-negative integer, interpreted as the number of seconds to which to set the MII.  If the value is positive, then the MII is set to that value (or 900 if the value is greater than 900).  If it is 0, the messaging context expires immediately, and is deleted.
Back to Top

Response

200 Response

Headers contain the current and maximum MII values.
Headers
  • Indicates the maximum MII allowed to be set by the service or service instance.
  • If the requested MII was positive, this is the new value of the maximum inactive interval, which may be less than the value submitted.  The maximum is 900 seconds.

500 Response

Error Codes

  • badParameter:The value of the mii parameter did not parse as an integer or was negative.
  • operationFailed:A low-level exception occurred in attempting to set the MII.
Back to Top

Examples

cURL Command

cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
     -H "X-OC-ID-TOKEN-STATUS: disabled" \
     -X POST "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/maxInactiveInterval?mii=123"

There is no request body to submit with the HTTP request.

Example of Response Headers

X-OC-MII: 123
Back to Top